import java.awt.*;
/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 17.11.2008
  * @author Daniel Garmann
  */

public class Spiel {

  // Anfang Attribute
  private Position position;
  private Spieler[] spieler = new Spieler[2];
  private Gui owner;
  
  // Ende Attribute

  public Spiel(Gui owner, int startspieler) {
     this.owner = owner;
     position = new Position(startspieler, (Graphics2D)(owner.getContentPane().getGraphics()));
//     spieler[0] = new MenschSpieler(owner);
//     spieler[1] = new MenschSpieler(owner);
     spieler[0] = new ComputerSpieler(owner,6);
     spieler[1] = new ComputerSpieler(owner,4);
  }

  // Anfang Methoden
  public void starten() {

    spielstandausgeben();

    while (!position.spielendeErreicht()) {
      Zug zug = spieler[position.getAmZug()].spielzugMachen(position);
      System.out.println("Spieler "+position.getAmZug()+":   Fach: "+zug.gibFach()+"  Richtung: "+zug.gibRichtung());
      position.zugAusfuehren(zug.gibFach(), zug.gibRichtung());
      spielstandausgeben();
    }
    
    System.out.println("Ende!");
    owner.reset();
  }

  public void spielstandausgeben() {
    position.ausgabe();
  }


  // Ende Methoden
}
